//*****************************************************************************
//*****************************************************************************
//  FILENAME: SPIM_OLED.h
//   Version: 2.6, Updated on 2010/4/6 at 11:27:39
//  Generated by PSoC Designer 
//
//  DESCRIPTION:
//    SPIM_OLED SPIM User Module header file.
//-----------------------------------------------------------------------------
//      Copyright (c) Cypress Semiconductor 2010. All Rights Reserved.
//*****************************************************************************
//*****************************************************************************
#ifndef SPIM_OLED_INCLUDE
#define SPIM_OLED_INCLUDE

#include <m8c.h>

#pragma fastcall16  SPIM_OLED_EnableInt
#pragma fastcall16  SPIM_OLED_DisableInt
#pragma fastcall16  SPIM_OLED_Start
#pragma fastcall16  SPIM_OLED_Stop
#pragma fastcall16  SPIM_OLED_SendTxData
#pragma fastcall16  SPIM_OLED_bReadRxData
#pragma fastcall16  SPIM_OLED_bReadStatus

//-------------------------------------------------
// Prototypes of the SPIM_OLED API.
//-------------------------------------------------
extern void  SPIM_OLED_EnableInt(void);
extern void  SPIM_OLED_DisableInt(void);
extern void  SPIM_OLED_Start(BYTE bConfiguration);
extern void  SPIM_OLED_Stop(void);
extern void  SPIM_OLED_SendTxData(BYTE bTxData);
extern BYTE  SPIM_OLED_bReadRxData(void);
extern BYTE  SPIM_OLED_bReadStatus(void);

// Old function prototypes, Do not use
// These will be removed in a future release
#pragma fastcall16 bSPIM_OLED_ReadRxData
#pragma fastcall16 bSPIM_OLED_ReadStatus
extern BYTE bSPIM_OLED_ReadRxData(void);
extern BYTE bSPIM_OLED_ReadStatus(void);


//-------------------------------------------------
// Constants for SPIM_OLED API's.
//-------------------------------------------------

#define SPIM_OLED_INT_REG_ADDR                 ( 0x0df )
#define SPIM_OLED_bINT_MASK                    ( 0x40 )

//*******************************
// SPI Configuration definitions
//*******************************
#define  SPIM_OLED_SPIM_MODE_0            0x00      // MODE 0 - Leading edge latches data - pos clock
#define  SPIM_OLED_SPIM_MODE_1            0x02      // MODE 1 - Leading edge latches data - neg clock
#define  SPIM_OLED_SPIM_MODE_2            0x04      // MODE 2 - Trailing edge latches data - pos clock
#define  SPIM_OLED_SPIM_MODE_3            0x06      // MODE 3 - Trailing edge latches data - neg clock
#define  SPIM_OLED_SPIM_LSB_FIRST         0x80      // LSB bit transmitted/received first
#define  SPIM_OLED_SPIM_MSB_FIRST         0x00      // MSB bit transmitted/received first

//********************************
// SPI Status register masks
//********************************
#define  SPIM_OLED_SPIM_RX_OVERRUN_ERROR  0x40      // Overrun error in received data
#define  SPIM_OLED_SPIM_TX_BUFFER_EMPTY   0x10      // TX Buffer register is ready for next data byte
#define  SPIM_OLED_SPIM_RX_BUFFER_FULL    0x08      // RX Buffer register has received current data
#define  SPIM_OLED_SPIM_SPI_COMPLETE      0x20      // SPI Tx/Rx cycle has completed

//-------------------------------------------------
// Register Addresses for SPIM_OLED
//-------------------------------------------------
#pragma ioport  SPIM_OLED_CONTROL_REG:  0x05b              //Control register
BYTE            SPIM_OLED_CONTROL_REG;
#pragma ioport  SPIM_OLED_SHIFT_REG:    0x058              //TX Shift Register register
BYTE            SPIM_OLED_SHIFT_REG;
#pragma ioport  SPIM_OLED_TX_BUFFER_REG:    0x059          //TX Buffer Register
BYTE            SPIM_OLED_TX_BUFFER_REG;
#pragma ioport  SPIM_OLED_RX_BUFFER_REG:    0x05a          //RX Buffer Register
BYTE            SPIM_OLED_RX_BUFFER_REG;
#pragma ioport  SPIM_OLED_FUNCTION_REG: 0x158              //Function register
BYTE            SPIM_OLED_FUNCTION_REG;
#pragma ioport  SPIM_OLED_INPUT_REG:    0x159              //Input register
BYTE            SPIM_OLED_INPUT_REG;
#pragma ioport  SPIM_OLED_OUTPUT_REG:   0x15a              //Output register
BYTE            SPIM_OLED_OUTPUT_REG;

#endif
// end of file SPIM_OLED.h
